## xembed-sni-proxy 0~git20151005-77d78c3

=== debian/changelog ===
xembed-sni-proxy (0~git20151005-77d78c3-2) unstable; urgency=medium

  * Move package to unstable: no changes required.

 -- Boris Pek <tehnick@debian.org>  Sat, 17 Oct 2015 00:20:51 +0300

xembed-sni-proxy (0~git20151005-77d78c3-1) experimental; urgency=medium

  * Initial release.  (Closes: #801264)

 -- Boris Pek <tehnick@debian.org>  Thu, 08 Oct 2015 03:15:36 +0300
