## xembed-sni-proxy 0~git20151104

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,12 +7,12 @@
     cmake_policy(SET CMP0043 OLD)
 endif()
 
-find_package(ECM 0.0.11 REQUIRED NO_MODULE)
+find_package(ECM 5.14.0 REQUIRED NO_MODULE)
 include(FeatureSummary)
 include(WriteBasicConfigVersionFile)
 include(GenerateExportHeader)
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
     Core
@@ -27,6 +27,7 @@
 
 include(ECMInstallIcons)
 include(ECMOptionalAddSubdirectory)
+include(ECMQtDeclareLoggingCategory)
 
 # required frameworks by Core
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
@@ -49,6 +50,12 @@
 
 add_definitions(-Wall -std=c++11)
 
+add_definitions(-DQT_NO_CAST_TO_ASCII
+-DQT_NO_CAST_FROM_ASCII
+-DQT_NO_URL_CAST_FROM_STRING
+-DQT_NO_CAST_FROM_BYTEARRAY)
+
+
 set(XEMBED_SNI_PROXY_SOURCES
     main.cpp
     fdoselectionmanager.cpp
@@ -64,7 +71,7 @@
 
 add_executable(xembedsniproxy ${XEMBED_SNI_PROXY_SOURCES})
 
-set(kwin_XCB_LIBS
+set(XCB_LIBS
     XCB::XCB
     XCB::XFIXES
     XCB::DAMAGE
@@ -77,12 +84,17 @@
 
 set_package_properties(XCB PROPERTIES TYPE REQUIRED)
 
+ecm_qt_declare_logging_category(xembedsniproxy HEADER debug.h
+                                               IDENTIFIER SNIPROXY
+                                               CATEGORY_NAME kde.xembedsniproxy
+                                               DEFAULT_SEVERITY Debug)
+
 target_link_libraries(xembedsniproxy
     Qt5::Core
     Qt5::X11Extras
     Qt5::DBus
     KF5::WindowSystem
-    ${kwin_XCB_LIBS}
+    ${XCB_LIBS}
 )
 
 install(TARGETS xembedsniproxy ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
