=== debian/control ===
--- 
+++ 
@@ -19,8 +19,8 @@
                pkg-kde-tools,
                qtbase5-dev
 Homepage: https://github.com/davidedmundson/xembed-sni-proxy
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/xembed-sni-proxy.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/xembed-sni-proxy.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/xembed-sni-proxy.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-extras/xembed-sni-proxy.git
 Standards-Version: 3.9.6
 
 Package: plasma-systray-legacy
@@ -31,5 +31,5 @@
 Description: XEmbed SNI Proxy
  This package contains special proxy which converts XEmbed system tray icons to
  SNI icons. It allows one to use applications which supports only legacy system
- tray icons in modern desktop environments (i.e KDE Plasma 5, GNOME Shell, etc.)
+ tray icons in modern desktop environments (i.e KDE Plasma 5, Unity, etc.)
  which support only StatusNotifierItem specification.
