=== debian/watch ===
version=3
https://github.com/davidedmundson/xembed-sni-proxy/tags \
.*/davidedmundson/xembed-sni-proxy/archive/v(\d.+)\.tar\.gz \
debian uupdate
